Bug 1810816 - [4.4] fix ovn-kubernetes iptables loadbalancer rules for IPv6
Summary: [4.4] fix ovn-kubernetes iptables loadbalancer rules for IPv6
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.4.0
Assignee: Dan Winship
QA Contact: zhaozhanqi
URL:
Whiteboard:
Depends On: 1810814
Blocks: 1810817
TreeView+ depends on / blocked
 
Reported: 2020-03-05 23:07 UTC by Dan Winship
Modified: 2020-05-04 11:45 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of: 1810814
Environment:
Last Closed: 2020-05-04 11:45:02 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift ovn-kubernetes pull 113 0 None closed Bug 1810816: [4.4] CARRY: ovn: fix cloud load balancer rules for IPv6 2020-06-02 01:36:35 UTC
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-04 11:45:22 UTC

Description Dan Winship 2020-03-05 23:07:19 UTC
+++ This bug was initially created as a clone of Bug #1810814 +++

In an IPv6 Azure cluster, there will be error messages in the ovnkube-node logs like:

time="2020-03-05T21:14:51Z" level=error msg="Error in modifying service: failed to add iptables nat/OVN-KUBE-NODEPORT rule \"-d 2603:1030:b:3::1f -p TCP --dport 80 -j DNAT --to-destination fd99::2:31863\": running [/usr/sbin/ip6tables -t nat -C OVN-KUBE-NODEPORT -d 2603:1030:b:3::1f -p TCP --dport 80 -j DNAT --to-destination fd99::2:31863 --wait]: exit status 2: ip6tables v1.8.2 (nf_tables): Bad IP address \"fd99::2:31863\"\n\nTry `ip6tables -h' or 'ip6tables --help' for more information.\n"


(The "Bad IP address" being the relevant bit.)

We need to fix those (by putting brackets around the IP).

Comment 3 zhaozhanqi 2020-03-24 10:36:02 UTC
Verified this bug on 4.4.0-0.nightly-2020-03-23-010639
this error did not be found in ovnkube-node logs.

Comment 5 errata-xmlrpc 2020-05-04 11:45:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.